Name:		perl-Types-Serialiser
Summary:	Simple data types for common serialization formats
Version:	1.01
Release:	1
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Types-Serialiser
Source0:	https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/Types-Serialiser-%{version}.tar.gz 
Patch0:		Types-Serialiser-1.0-provides.patch
BuildArch:	noarch
BuildRequires:	make coreutils findutils perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Carp) perl(common::sense)
Requires:	perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))
Requires:	perl(Carp)

%description
This module provides some extra data types that are used by common
serialization formats such as JSON or CBOR. The idea is to have a
repository of simple/small constants and containers that can be shared
by different implementations so they become interoperable between each
other.

%package_help

%prep
%autosetup -n Types-Serialiser-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license COPYING
%{perl_vendorlib}/Types/

%files help
%doc Changes README
%{_mandir}/man3/Types::Serialiser.3*
%{_mandir}/man3/Types::Serialiser::Error.3*

%changelog
* Fri Jan 29 2021 liudabo <liudabo1@huawei.com> - 1.01-1
- upgrade version to 1.01

* Thu Mar 5 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.0-18
- Package init
